Package com.usatiuk.dhfs

# Class JObjectKeyProtoSerializer

java.lang.Object
com.usatiuk.dhfs.JObjectKeyProtoSerializer

All Implemented Interfaces:
  `ProtoSerializer<JObjectKeyP,JObjectKey>`

@Singleton public class JObjectKeyProtoSerializer extends Object implements ProtoSerializer<JObjectKeyP,JObjectKey>

## Constructor Summary

Constructors
Constructor
Description
`JObjectKeyProtoSerializer()`

## Method Summary

Modifier and Type
Method
Description
`JObjectKey`
`deserialize(JObjectKeyP message)`
`JObjectKeyP`
`serialize(JObjectKey object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JObjectKeyProtoSerializer

public JObjectKeyProtoSerializer()

## Method Details

### deserialize

public JObjectKey deserialize(JObjectKeyP message)

Specified by:
  `deserialize` in interface `ProtoSerializer<JObjectKeyP,JObjectKey>`

### serialize

public JObjectKeyP serialize(JObjectKey object)

Specified by:
  `serialize` in interface `ProtoSerializer<JObjectKeyP,JObjectKey>`